Get all invoice details
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
invoice_details| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| invoice_id |
Key of invoice to which this line belongs |
globally unique identifier | |
| article_id |
Key of article on this line |
globally unique identifier | |
| article_name |
Name of article on this line |
string | |
| article_description |
Description of article on this line |
string | |
| article_code |
Code of article on this line |
string | |
| line_num |
Number of this line within the invoice |
integer | |
| quantity |
Quantity of article |
integer | |
| article_price |
Price of article |
decimal number | |
| discount |
Discount value (absolute) applied to this line |
decimal number | |
| vat_rate |
VAT ratio applied to this line |
decimal number | |
| vat_value |
Value (absolute) of VAT on this line |
decimal number | |
| total_line |
quantity*(article_price-discount+vat_value) |
decimal number | |
| article_stock_location_id |
In case of stock management enabled, the stock that has been used |
globally unique identifier | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "11e01159-b421-4a87-aea5-1c537a9c8681",
"invoice_id": "cc564278-d329-43c6-84e5-cd658613e0cb",
"article_id": "b6b2c217-5288-477a-81c0-75f04b4f5729",
"article_name": "sample string 4",
"article_description": "sample string 5",
"article_code": "sample string 6",
"line_num": 7,
"quantity": 8,
"article_price": 9.0,
"discount": 10.0,
"vat_rate": 11.0,
"vat_value": 12.0,
"total_line": 13.0,
"article_stock_location_id": "248418a1-03ca-4f62-8506-5f4d3effe3cd",
"modified_dateutc": "2026-06-05T19:39:46.4613933+00:00"
}